petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESLineSearchReason

if line search has succeeded or failed and why

### Synopsis

    typedef enum {SNES_LINESEARCH_SUCCEEDED,
                  SNES_LINESEARCH_FAILED_NANORINF,
                  SNES_LINESEARCH_FAILED_DOMAIN,
                  SNES_LINESEARCH_FAILED_REDUCT,       /* INSUFFICENT REDUCTION */
                  SNES_LINESEARCH_FAILED_USER,
                  SNES_LINESEARCH_FAILED_FUNCTION} SNESLineSearchReason;

Developer Notes: this must match petsc/finclude/petscsnes.h

Developer Note: The string versions of these are in SNESLineSearchReasons, if you change any value here you must also adjust that array.

### See Also

SNESSolve(), SNESGetConvergedReason(), KSPConvergedReason, SNESSetConvergenceTest()

Level:intermediate
Location:src/snes/../../include/petscsnes.h
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages